org.apache.struts2.views.java

## Interface TagHandler

- All Known Subinterfaces:
    TagGenerator, TagSerializer
  All Known Implementing Classes:
    AbstractMessageListHandler, AbstractTagHandler, ActionErrorHandler, ActionMessageHandler, AnchorHandler, AnchorHandler.CloseHandler, CheckboxHandler, CheckboxListHandler, CommonAttributesHandler, DateTextFieldHandler, DynamicAttributesHandler, EmptyHandler, FieldErrorHandler, FileHandler, FormHandler, FormHandler.CloseHandler, HeadHandler, HiddenHandler, LabelHandler, PasswordHandler, RadioHandler, ResetHandler, ScriptingEventsHandler, SelectHandler, SubmitHandler, SubmitHandler.CloseHandler, TextAreaHandler, TextFieldHandler, TokenHandler, XHTMLTagSerializer

      public interface TagHandler

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `characters(String text)` Writes to the inner text of a tag.
    `void` | `characters(String text, boolean encode)` Writes to the inner text of a tag
    `void` | `end(String name)` Writes a tag close
    `void` | `setNext(TagHandler next)`
    `void` | `setup(TemplateRenderingContext context)`
    `void` | `start(String name, Attributes attributes)` Write a tag openening, with its attributes

- - ### Method Detail

    - #### setNext

          void setNext(TagHandler next)

    - #### setup

          void setup(TemplateRenderingContext context)

    - #### start

          void start(String name,
                   Attributes attributes)
                     throws IOException

      Write a tag openening, with its attributes
      Parameters:
        `name` - name of the tag
        `attributes` - attributes of the tag
      Throws:
        `IOException`

    - #### end

          void end(String name)
                   throws IOException

      Writes a tag close
      Parameters:
        `name` - name of the tag
      Throws:
        `IOException`

    - #### characters

          void characters(String text)
                          throws IOException

      Writes to the inner text of a tag. By default the body is html encoded
      Parameters:
        `text` - tag body.
      Throws:
        `IOException`

    - #### characters

          void characters(String text,
                        boolean encode)
                          throws IOException

      Writes to the inner text of a tag
      Parameters:
        `text` - tag body
        `encode` - html encode the body
      Throws:
        `IOException`

Copyright © 2000–2021 Apache Software Foundation. All rights reserved.